---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libstrace005.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x22DE8, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x69, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x22DEC, symBinAddr: 0x806C, symSize: 0x0 }
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x22DF0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0xC0, offset: 0xC0, size: 0x8, addend: 0x0, symName: __ZL23stackOverflowErrorClass, symObjAddr: 0x22DF8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x4BB4, offset: 0x4BB4, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0xC70, symBinAddr: 0x29BC, symSize: 0x168 }
  - { offsetInCU: 0x4D90, offset: 0x4D90, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0xDD8, symBinAddr: 0x2B24, symSize: 0xB0 }
  - { offsetInCU: 0x4E87, offset: 0x4E87, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xE88, symBinAddr: 0x2BD4, symSize: 0x28 }
  - { offsetInCU: 0x4F82, offset: 0x4F82, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x1278, symBinAddr: 0x2F0C, symSize: 0x28 }
  - { offsetInCU: 0x4FE5, offset: 0x4FE5, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x16FC, symBinAddr: 0x2FB4, symSize: 0xA0 }
  - { offsetInCU: 0x5048, offset: 0x5048, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x106C, symBinAddr: 0x2D00, symSize: 0x20C }
  - { offsetInCU: 0x51DA, offset: 0x51DA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0xEB0, symBinAddr: 0x2BFC, symSize: 0x104 }
  - { offsetInCU: 0x53A2, offset: 0x53A2, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x1668, symBinAddr: 0x2F34, symSize: 0x80 }
  - { offsetInCU: 0x54B2, offset: 0x54B2, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x1A7C, symBinAddr: 0x3054, symSize: 0x124 }
  - { offsetInCU: 0x5614, offset: 0x5614, size: 0x8, addend: 0x0, symName: _JNI_OnUnload, symObjAddr: 0x1BA0, symBinAddr: 0x3178, symSize: 0x6C }
  - { offsetInCU: 0x588B, offset: 0x588B, size: 0x8, addend: 0x0, symName: _Java_nsk_stress_strace_strace005Thread_recursiveMethod2, symObjAddr: 0x1C0C, symBinAddr: 0x31E4, symSize: 0x610 }
  - { offsetInCU: 0x61D4, offset: 0x61D4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x221C, symBinAddr: 0x37F4, symSize: 0x30 }
  - { offsetInCU: 0x6251, offset: 0x6251, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x224C, symBinAddr: 0x3824, symSize: 0x30 }
...
